$fig-main-w: 478;
$fig-main-h: 374;
#id-main {
	figure {
		max-width: $fig-main-w + px;
		max-height: $fig-main-h + px;
		position: relative;
	}
	%gear-main {
		position: absolute;
		animation: rotate 4s linear infinite;
		transition: all linear 1s;
	}
	.gear1 {
		@extend %gear-main;
		@include backImage('../images/main/main-gear1.png', no-repeat, center, contain);
		width: 129 / $fig-main-w * 100%;
		height: 129 / $fig-main-h * 100%;
		top: 31%;
		left: 20%;
		animation-duration: 6s;
		&:hover {
			animation-duration: 3s;
		}
	}
	.gear2 {
		@extend %gear-main;
		@include backImage('../images/main/main-gear2.png', no-repeat, center, contain);
		width: 92 / $fig-main-w * 100%;
		height: 92 / $fig-main-h * 100%;
		top: 7%;
		left: 62%;
		&:hover {
			animation-duration: 2s;
		}
	}
	.gear3 {
		@extend %gear-main;
		@include backImage('../images/main/main-gear3.svg', no-repeat, center, contain);
		width: 72 / $fig-main-w * 100%;
		height: 72 / $fig-main-h * 100%;
		top: 32%;
		left: 64%;
		animation-direction: reverse;
		animation-duration: 3s;
		&:hover {
			animation-duration: 1s;
		}
	}
}

$fig-sf-w: 450;
$fig-sf-h: 369;
$fig-web-w: 520;
$fig-web-h: 379;
$fig-mob-w: 451;
$fig-mob-h: 327;
#id-technologies {
	%gear-tech {
		position: absolute;
		animation: rotate 4s linear infinite paused;
		transition: all linear 1s;
	}
	.salesforce {
		figure {
			max-width: $fig-sf-w + px;
			max-height: $fig-sf-h + px;
			position: relative;
		}
		.gear1 {
			@extend %gear-tech;
			@include backImage('../images/technologies/sf-gear1.png', no-repeat, center, contain);
			width: 51 / $fig-sf-w * 100%;
			height: 51 / $fig-sf-h * 100%;
			top: 21%;
			left: 57%;
			animation-duration: 5s;
		}
		.gear2 {
			@extend %gear-tech;
			@include backImage('../images/technologies/sf-gear2.png', no-repeat, center, contain);
			width: 51 / $fig-sf-w * 100%;
			height: 51 / $fig-sf-h * 100%;
			top: 36%;
			left: 46%;
			animation-duration: 4s;
			animation-direction: reverse;
		}
		.gear3 {
			@extend %gear-tech;
			@include backImage('../images/technologies/sf-gear3.png', no-repeat, center, contain);
			width: 63 / $fig-sf-w * 100%;
			height: 63 / $fig-sf-h * 100%;
			top: 45%;
			left: 63%;
			animation-duration: 3s;
		}
		&:hover {
			.gear1, .gear2, .gear3 {
				animation-play-state: running;
			}
		}
	}
	.web {
		figure {
			max-width: $fig-web-w + px;
			max-height: $fig-web-h + px;
			position: relative;
		}
		.gear1 {
			@extend %gear-tech;
			@include backImage('../images/technologies/web-gear1.png', no-repeat, center, contain);
			width: 72 / $fig-web-w * 100%;
			height: 72 / $fig-web-h * 100%;
			top: 45%;
			left: 30%;
			animation-duration: 5s;
		}
		.gear2 {
			@extend %gear-tech;
			@include backImage('../images/technologies/web-gear2.png', no-repeat, center, contain);
			width: 58 / $fig-web-w * 100%;
			height: 58 / $fig-web-h * 100%;
			top: 59%;
			left: 51%;
			animation-duration: 4s;
			animation-direction: reverse;
		}
		.gear3 {
			@extend %gear-tech;
			@include backImage('../images/technologies/web-gear3.png', no-repeat, center, contain);
			width: 33 / $fig-web-w * 100%;
			height: 33 / $fig-web-h * 100%;
			top: 80%;
			left: 49%;
			animation-duration: 3s;
		}
		&:hover {
			.gear1, .gear2, .gear3 {
				animation-play-state: running;
			}
		}
	}
	.mobile {
		figure {
			max-width: $fig-mob-w + px;
			max-height: $fig-mob-h + px;
			position: relative;
		}
		.gear1 {
			@extend %gear-tech;
			@include backImage('../images/technologies/mob-gear1.png', no-repeat, center, contain);
			width: 37 / $fig-mob-w * 100%;
			height: 37 / $fig-mob-h * 100%;
			top: 19%;
			left: 35%;
			animation-duration: 5s;
		}
		.gear2 {
			@extend %gear-tech;
			@include backImage('../images/technologies/mob-gear2.png', no-repeat, center, contain);
			width: 24 / $fig-mob-w * 100%;
			height: 24 / $fig-mob-h * 100%;
			top: 60%;
			left: 26%;
			animation-duration: 3s;
			animation-direction: reverse;
		}
		.gear3 {
			@extend %gear-tech;
			@include backImage('../images/technologies/mob-gear3.png', no-repeat, center, contain);
			width: 22 / $fig-mob-w * 100%;
			height: 22 / $fig-mob-h * 100%;
			top: 85%;
			left: 53%;
			animation-duration: 3s;
		}
		.gear4 {
			@extend %gear-tech;
			@include backImage('../images/technologies/mob-gear4.png', no-repeat, center, contain);
			width: 54 / $fig-mob-w * 100%;
			height: 54 / $fig-mob-h * 100%;
			top: 28%;
			left: 58%;
			animation-duration: 4s;
			animation-direction: reverse;
		}
		&:hover {
			.gear1, .gear2, .gear3, .gear4 {
				animation-play-state: running;
			}
		}
	}
}

@keyframes rotate {
	from {
		transform: rotate(0deg);
	}
	to {
		transform: rotate(360deg);
	}
}

$fig-em-w: 446;
$fig-em-h: 364;
#id-dev-project {
	@include apply-to(min, $desktop) {
		figure {
			position: relative;
			width: $fig-em-w + px;
			height: $fig-em-h + px;
		}
	}
	.dp-pencil {
		width: 21 / $fig-em-w * 100%;
		height:auto!important;
		position: absolute;
		left: 0;
		top: 111 / $fig-em-h * 100%;
		&.animated {
			animation: slideInLeft 1s 2.5s 1 both;
		}
	}
	.dp-ruler {
		width: 139 / $fig-em-w * 100%;
		position: absolute;
		left: 290 / $fig-em-w * 100%;
		z-index: 1;
		&.animated {
			animation: rotateInRight 1s 2s 1 both;
		}
	}
	.dp-paper {
		width: 375 / $fig-em-w * 100%;
		position: absolute;
		left: 53 / $fig-em-w * 100%;
		top: 6 / $fig-em-h * 100%;
		&.animated {
			animation: slideInLeft 1s 1s 1 both;
		}
	}
}

#id-dev-team {
	@include apply-to(min, $desktop) {
		figure {
			position: relative;
			width: $fig-em-w + px;
			height: $fig-em-h + px;
		}
	}
	.dt-platform-left {
		width: 154 / $fig-em-w * 100%;
		position: absolute;
		left: 36 / $fig-em-w * 100%;
		top: 90 / $fig-em-h * 100%;
		z-index: 1;
		&.animated {
			animation: slideInLeft 1s 1s 1 both;
		}
	}
	.dt-platform-right {
		width: 164 / $fig-em-w * 100%;
		position: absolute;
		left: 254 / $fig-em-w * 100%;
		top: 48 / $fig-em-h * 100%;
		z-index: 1;
		&.animated {
			animation: slideInRight 1s 1s 1 both;
		}
	}
	.dt-cosmonauts {
		width: 384 / $fig-em-w * 100%;
		position: absolute;
		left: 30 / $fig-em-w * 100%;
		top: 183 / $fig-em-h * 100%;
		z-index: 2;
		&.animated {
			animation: slideInBottom 1s 1.5s 1 both;
		}
	}
}

#id-dev-lab {
	@include apply-to(min, $desktop) {
		figure {
			position: relative;
			width: $fig-em-w + px;
			height: $fig-em-h + px;
		}
	}
	.dl-computers {
		width: 270 / $fig-em-w * 100%;
		position: absolute;
		left: 23 / $fig-em-w * 100%;
		top: 76 / $fig-em-h * 100%;
		&.animated {
			animation: slideInLeft 1s 1s 1 both;
		}
	}
	.dl-scientists {
		width: 197 / $fig-em-w * 100%;
		position: absolute;
		left: 233 / $fig-em-w * 100%;
		top: 51 / $fig-em-h * 100%;
		&.animated {
			animation: slideInRight 1s 1s 1 both;
		}
	}
}

.rocket {
	display: none;
	width: 128px;
	height: 218px;
	position: absolute;
	z-index: 0;
	transition: all 1s ease-in-out;
	&.moveUp {
		animation: moveUp 2s;
		animation-fill-mode: both;
	}
	&.moveDown {
		animation: moveDown 2s;
		animation-fill-mode: both;
	}
	.fp-viewing-developmentProject & {
		path {
			stroke: $rocketBlue;
		}
		path.wing {
			fill: lighten($rocketBlue, 35);
		}
		.line,
		.dots g path,
		.dots g ellipse {
			fill: $rocketBlue;
		}
	}
	.fp-viewing-developmentTeam & {
		path {
			stroke: $rocketGreen;
		}
		path.wing {
			fill: lighten($rocketGreen, 35);
		}
		.line,
		.dots g path,
		.dots g ellipse {
			fill: $rocketGreen;
		}
	}
	.fp-viewing-developmentLab & {
		path {
			stroke: $rocketOrange;
		}
		path.wing {
			fill: lighten($rocketOrange, 25);
		}
		.line,
		.dots g path,
		.dots g ellipse {
			fill: $rocketOrange;
		}
	}
	@include apply-to(max, $desktop - 1) {
		display: none !important;
	}
	.fp-viewing-main &,
	.fp-viewing-ourTeam &,
	.fp-viewing-technologies &,
	.fp-viewing-reinforce &,
	.fp-viewing-contacts & {
		display: none !important;
	}

}

@keyframes rotateInRight {
	from {
		transform: translate(200em, -20em) rotate(6turn);
	}
	to {
		transform: translate(0, 0) rotate(0turn);
	}
}

@keyframes slideInLeft {
	from {
		transform: translateX(-200em);
	}
	to {
		transform: translateX(0);
	}
}

@keyframes slideInRight {
	from {
		transform: translateX(200em);
	}
	to {
		transform: translateX(0);
	}
}

@keyframes slideInBottom {
	from {
		transform: translateY(200em);
	}
	to {
		transform: translateY(0);
	}
}

@keyframes moveUp {
	0% {
		transform: translateY(0);
	}
	20% {
		transform: translateY(-40%);
	}
	100% {
		transform: translateY(0);
	}
}

@keyframes moveDown {
	0% {
		transform: translateY(0);
	}
	20% {
		transform: translateY(40%);
	}
	100% {
		transform: translateY(0);
	}
}

$cloud-w: 331;
$cloud-h: 170;
$rocket-wr-w: 937;
$rocket-wr-h: 581;
#id-reinforce {
	.r-cloud {
		@include backImage('../images/reinforce/r-cloud.png', no-repeat, center, contain);
		animation: moveCloud 80s linear 1s infinite alternate both;
		position: absolute;
		top: 33%;
		left: 50%;
		width: $cloud-w * .4 + px;
		height: $cloud-h * .4 + px;
		@include apply-to(min, $tablet) {
			width: $cloud-w * .6 + px;
			height: $cloud-h * .6 + px;
		}
		@include apply-to(min, $laptop) {
			width: $cloud-w * .8 + px;
			height: $cloud-h * .8 + px;
		}
		@include apply-to(min, $desktop) {
			width: $cloud-w * 1 + px;
			height: $cloud-h * 1 + px;
		}
	}
	.r-rocket-wr {
		position: absolute;
		left: -10%;
		bottom: 0;
		width: $rocket-wr-w  / 3 + px;
		height: $rocket-wr-h / 3 + px;
		@include apply-to(min, $tablet) {
			width: $rocket-wr-w  / 2 + px;
			height: $rocket-wr-h / 2 + px;
			left: 0;
		}
		@include apply-to(min, $laptop) {
			width: $rocket-wr-w / 1.5 + px;
			height: $rocket-wr-h / 1.5 + px;
			left: 10%;
		}
		@include apply-to(min, $desktop) {
			width: $rocket-wr-w / 1.2 + px;
			height: $rocket-wr-h / 1.2 + px;
			left: 20%;
		}
		@include apply-to(min, $desktop-large) {
			width: $rocket-wr-w + px;
			height: $rocket-wr-h + px;
		}
		img {
			display: block;
			padding: 0 gutter(12);
		}
		.r-trace1 {
			@include backImage('../images/reinforce/r-trace1.png', no-repeat, center, contain);
			width: 447 / $rocket-wr-w * 100%;
			height: 342 / $rocket-wr-h * 100%;
			position: absolute;
			left: 255 / $rocket-wr-w * 100%;
			bottom: 0;
			animation: moveTrace 3s ease-in-out infinite alternate-reverse;
		}
		.r-trace2 {
			@include backImage('../images/reinforce/r-trace2.png', no-repeat, center, contain);
			width: 623 / $rocket-wr-w * 100%;
			height: 372 / $rocket-wr-h * 100%;
			position: absolute;
			left: 108 / $rocket-wr-w * 100%;
			bottom: 0;
			animation: moveTrace 5s ease-in-out infinite alternate;
		}
		.r-fire1 {
			@include backImage('../images/reinforce/r-fire1.png', no-repeat, center, contain);
			width: 22 / $rocket-wr-w * 100%;
			height: 16 / $rocket-wr-h * 100%;
			position: absolute;
			left: 694 / $rocket-wr-w * 100%;
			top: 218 / $rocket-wr-h * 100%;
			z-index: 4;
			animation: burn 0.1s ease-in-out infinite alternate;
		}
		.r-fire2 {
			@include backImage('../images/reinforce/r-fire2.png', no-repeat, center, contain);
			width: 32 / $rocket-wr-w * 100%;
			height: 28 / $rocket-wr-h * 100%;
			position: absolute;
			left: 687 / $rocket-wr-w * 100%;
			top: 211 / $rocket-wr-h * 100%;
			z-index: 3;
			animation: burn 0.2s ease-in-out infinite alternate;
		}
		.r-fire3 {
			@include backImage('../images/reinforce/r-fire3.png', no-repeat, center, contain);
			width: 48 / $rocket-wr-w * 100%;
			height: 50 / $rocket-wr-h * 100%;
			position: absolute;
			left: 672 / $rocket-wr-w * 100%;
			top: 209 / $rocket-wr-h * 100%;
			z-index: 2;
			animation: burn .3s ease-in-out infinite alternate;
		}
		.r-fire4 {
			@include backImage('../images/reinforce/r-fire4.png', no-repeat, center, contain);
			width: 62 / $rocket-wr-w * 100%;
			height: 63 / $rocket-wr-h * 100%;
			position: absolute;
			left: 663 / $rocket-wr-w * 100%;
			top: 206 / $rocket-wr-h * 100%;
			z-index: 1;
		}
	}
}

@keyframes burn {
	from {
		transform: translate(0) scale(1);
	}
	to {
		transform: translate(1px, 1px) scale(1.05);
	}
}

@keyframes moveTrace {
	from {
		transform: translateX(-2px);
	}
	to {
		transform: translateX(2px);
	}
}

@keyframes moveCloud {
	from {
		transform: translateX(-400%);
	}
	to {
		transform: translateX(400%);
	}
}